# Intel® Enhanced Privacy ID SDK: epid/verifier/api.h File Reference

api.h File Reference

Intel(R) EPID SDK verifier API. More...

`#include <stddef.h>`
`#include "epid/common/stdtypes.h"`
`#include "epid/common/types.h"`
`#include "epid/common/errors.h"`

## Data Structures

struct | VerifierPrecomp
| Pre-computed member settings. More...

## Functions

EpidStatus | EpidVerifierCreate (GroupPubKey const *pub_key, VerifierPrecomp const *precomp, VerifierCtx **ctx)
| Creates a new verifier context. More...
void | EpidVerifierDelete (VerifierCtx **ctx)
| Deletes an existing verifier context. More...
EpidStatus | EpidVerifierWritePrecomp (VerifierCtx const *ctx, VerifierPrecomp *precomp)
| Serializes the pre-computed verifier settings. More...
EpidStatus | EpidVerifierSetPrivRl (VerifierCtx *ctx, PrivRl const *priv_rl, size_t priv_rl_size)
| Sets the private key based revocation list. More...
EpidStatus | EpidVerifierSetSigRl (VerifierCtx *ctx, SigRl const *sig_rl, size_t sig_rl_size)
| Sets the signature based revocation list. More...
EpidStatus | EpidVerifierSetGroupRl (VerifierCtx *ctx, GroupRl const *grp_rl, size_t grp_rl_size)
| Sets the group based revocation list. More...
EpidStatus | EpidVerifierSetVerifierRl (VerifierCtx *ctx, VerifierRl const *ver_rl, size_t ver_rl_size)
| Sets the verifier revocation list. More...
EpidStatus | EpidVerifierSetHashAlg (VerifierCtx *ctx, HashAlg hash_alg)
| Sets the hash algorithm to be used by a verifier. More...
EpidStatus | EpidVerify (VerifierCtx const *ctx, EpidSignature const *sig, size_t sig_len, void const *msg, size_t msg_len, void const *basename, size_t basename_len)
| Verifies a signature and checks revocation status. More...
bool | EpidAreSigsLinked (BasicSignature const *sig1, BasicSignature const *sig2)
| Determines if two signatures are linked. More...
EpidStatus | EpidVerifyBasicSig (VerifierCtx const *ctx, BasicSignature const *sig, void const *msg, size_t msg_len, void const *basename, size_t basename_len)
| Verifies a member signature without revocation checks. More...
EpidStatus | EpidNrVerify (VerifierCtx const *ctx, BasicSignature const *sig, void const *msg, size_t msg_len, SigRlEntry const *sigrl_entry, NrProof const *proof)
| Verifies the non-revoked proof for a single signature based revocation list entry. More...
EpidStatus | EpidCheckPrivRlEntry (VerifierCtx const *ctx, BasicSignature const *sig, FpElemStr const *f)
| Verifies a signature has not been revoked in the private key based revocation list. More...

## Detailed Description

Intel(R) EPID SDK verifier API.